
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:intuitive_copy')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					
					let scoreboard_obj = scoreboard.getObjective('Heroes.Power.Icon.Intuitive');
                    let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
                    let value = score.getScore();
					

					
						let power_max = global.power_amount;
						let power = global['ability_' + value];


					
					if (power == 'Ability_Replication') {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players operation .IntuitiveHold_1 Heroes.Intuitive.Study = @s Heroes.Replication.Slots.Intuitive.Hold");
					entity.server.runCommandSilent("execute as " + username + " at @s if score .IntuitiveHold_1 Heroes.Intuitive.Study > @s Heroes.Replication.Slots.Intuitive run scoreboard players operation @s Heroes.Replication.Slots.Intuitive = .IntuitiveHold_1 Heroes.Intuitive.Study");
					entity.server.runCommandSilent("scoreboard players reset .IntuitiveHold_1 Heroes.Intuitive.Study");
					}
					
					if (power == 'Levitation') {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players operation .IntuitiveHold_1 Heroes.Intuitive.Study = @s Heroes.Levitation.Speed.Base.Intuitive.Hold");
					entity.server.runCommandSilent("execute as " + username + " at @s if score .IntuitiveHold_1 Heroes.Intuitive.Study > @s Heroes.Levitation.Speed.Base.Intuitive run scoreboard players operation @s Heroes.Levitation.Speed.Base.Intuitive = .IntuitiveHold_1 Heroes.Intuitive.Study");
					entity.server.runCommandSilent("scoreboard players reset .IntuitiveHold_1 Heroes.Intuitive.Study");
					}
					if (power == 'Bone_Protrusion') {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players operation .IntuitiveHold_1 Heroes.Intuitive.Study = @s Heroes.Bone.Var.Intuitive.Hold");
					entity.server.runCommandSilent("execute as " + username + " at @s if score .IntuitiveHold_1 Heroes.Intuitive.Study > @s Heroes.Bone.Var.Intuitive run scoreboard players operation @s Heroes.Bone.Var.Intuitive = .IntuitiveHold_1 Heroes.Intuitive.Study");
					entity.server.runCommandSilent("scoreboard players reset .IntuitiveHold_1 Heroes.Intuitive.Study");
								}
					
					if (value >= 0) {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Powers.Intuitive." + power + " 1");
					}
					for (let power_list = 0; power_list <= power_max; power_list++) {
						let power = global['ability_' + power_list];
							
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s remove Powers.Intuitive." + power + "");

						}
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Levitation.Speed.Base.Intuitive.Hold 0");
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Replication.Slots.Intuitive.Hold 0");
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Bone.Var.Intuitive.Hold 0");
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Power.Icon.Intuitive -1");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s remove Heroes.Intuitive.Select");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s add Heroes.Prock");
					}
            });
    });